Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAQGB

    java.lang.Object
      org.netlib.lapack.DLAQGB

    public class DLAQGB

extends java.lang.Object

    DLAQGB is a simplified interface to the JLAPACK routine dlaqgb.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAQGB equilibrates a general M by N band matrix A with KL
     *  subdiagonals and KU superdiagonals using the row and scaling factors

     *  in the vectors R and C.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0.
     *
     *  KL      (input) INTEGER
     *          The number of subdiagonals within the band of A.  KL >= 0.
     *
     *  KU      (input) INTEGER
     *          The number of superdiagonals within the band of A.  KU >= 0.

     *
     *  AB      (input/output) DOUBLE PRECISION array, dimension (LDAB,N)
     *          On entry, the matrix A in band storage, in rows 1 to KL+KU+1.
     *          The j-th column of A is stored in the j-th column of the
     *          array AB as follows:
     *          AB(ku+1+i-j,j) = A(i,j) for max(1,j-ku)<=i<=min(m,j+kl)
     *
     *          On exit, the equilibrated matrix, in the same storage format

     *          as A.  See EQUED for the form of the equilibrated matrix.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDA >= KL+KU+1.
     *
     *  R       (input) DOUBLE PRECISION array, dimension (M)
     *          The row scale factors for A.
     *
     *  C       (input) DOUBLE PRECISION array, dimension (N)
     *          The column scale factors for A.
     *
     *  ROWCND  (input) DOUBLE PRECISION
     *          Ratio of the smallest R(i) to the largest R(i).
     *
     *  COLCND  (input) DOUBLE PRECISION
     *          Ratio of the smallest C(i) to the largest C(i).
     *
     *  AMAX    (input) DOUBLE PRECISION
     *          Absolute value of largest matrix entry.
     *
     *  EQUED   (output) CHARACTER*1
     *          Specifies the form of equilibration that was done.
     *          = 'N':  No equilibration
     *          = 'R':  Row equilibration, i.e., A has been premultiplied by

     *                  diag(R).
     *          = 'C':  Column equilibration, i.e., A has been postmultiplied
     *                  by diag(C).
     *          = 'B':  Both row and column equilibration, i.e., A has been
     *                  replaced by diag(R) * A * diag(C).
     *
     *  Internal Parameters
     *  ===================
     *
     *  THRESH is a threshold value used to decide if row or column scaling
     *  should be done based on the ratio of the row or column scaling
     *  factors.  If ROWCND < THRESH, row scaling is done, and if
     *  COLCND < THRESH, column scaling is done.
     *
     *  LARGE and SMALL are threshold values used to decide if row scaling
     *  should be done based on the absolute size of the largest matrix
     *  element.  If AMAX > LARGE or AMAX < SMALL, row scaling is done.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAQGB()`

Method Summary
`static void` | `DLAQGB(int m, int n, int kl, int ku, double[][] ab, double[] r, double[] c, double rowcnd, double colcnd, double amax, StringW equed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAQGB

    public DLAQGB()

Method Detail

### DLAQGB

    public static void DLAQGB(int m,
                              int n,
                              int kl,
                              int ku,
                              double[][] ab,
                              double[] r,
                              double[] c,
                              double rowcnd,
                              double colcnd,
                              double amax,
                              StringW equed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD